
private import  mango.io.Token,
                mango.io.Stdio,
                mango.io.Tokenizer,
                mango.io.FileConduit;

/*******************************************************************************

        Open a file and read it line-by-line using a line tokenizer. This 
        uses CompositeToken to hide some of the details. 

*******************************************************************************/

void main()
{
        // open a file for reading
        FileConduit fc = new FileConduit ("test.txt");

        // create a Token and bind it to both the file and a line-tokenizer
        CompositeToken line = new CompositeToken (Tokenizers.line, fc);

        // read file a line at a time. Method getNext() returns false when no 
        // more content is found. 
        while (line.get)
               Stdout.put(line).cr();
}

