
private import  mango.io.Reader,
                mango.io.Writer,
                mango.io.FileConduit;

/*******************************************************************************

       Create a file for random access. Write some stuff to it, rewind to
       file start and read back.

*******************************************************************************/

void main()
{
        // open a file for reading
        FileConduit fc = new FileConduit ("random.bin", FileStyle.ReadWriteCreate);

        // construct (binary) reader & writer upon this conduit
        Reader r = new Reader (fc);
        Writer w = new Writer (fc);

        int x=10, y=20;

        // write some data and flush output since IO is buffered
        w.put(x).put(y).flush();

        // rewind to file start
        fc.seek (0);

        // read data back again, but swap destinations
        r.get(y).get(x);

        assert (y==10);
        assert (x==20);

        fc.close();
}
